<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddUsernameToUserScheduleTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_schedule', function (Blueprint $table) {
            $table->dropColumn('count');
            $table->integer('user_id')->after('time')->nullable()->comment('用户ID');
            $table->string('username',255)->after('user_id')->nullable()->comment('用户姓名');
            $table->string('phone',11)->after('username')->nullable()->comment('联系方式');
            $table->integer('store_id')->after('phone')->nullable()->comment('店铺名称');

        });}

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_schedule', function (Blueprint $table) {
            //
        });
    }
}
